const initialState ={
    bank: []
}

const state = {
    bank: initialState.bank
}

const getters = {
    /**
     * [bank description]
     */
    bank(state) {
        return state.bank
    }
}

const mutations ={
    /**
     * [bank description]
     */
    setPaymentsPurchasesBank (state, payload) {
        state.bank = payload
    }
}

const actions = {
    /**
     * [INIT_PAYMENTS_PURCHASES_BANK]
     */
    initPaymentsPurchasesBank ({ commit }, payload){
        commit('setPaymentsPurchasesBank', payload)
    },
    /**
     * [RESET_PAYMENTS_PURCHASES_BANK]
     */
    resetPaymentsPurchasesBank ({ commit }, payload){
        commit('setPaymentsPurchasesBank', [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
