const initialState ={
    bankType: []
}

const state = {
    bankType: initialState.bankType
}

const getters = {
    /**
     * [bankType description]
     */
    bankType(state){
        return state.bankType
    }
}

const mutations = {
    /**
     * [bankType description]
    */
    setPaymentsPurchasesBankType (state, payload) {
        state.bankType = payload
    }
}

const actions = {
    /**
     * [INIT_PAYMENTS_PURCHASES_BANK_TYPE]
     */
    initPaymentsPurchasesBankType ({ commit }, payload){
        commit('setPaymentsPurchasesBankType', payload)
    },
    /**
     * [RESET_PAYMENTS_PURCHASES_BANK_TYPE]
     */
    resetPaymentsPurchasesBankType ({ commit }, payload) {
        commit('setPaymentsPurchasesBankType', payload)
    }

}

export default {
    state,
    getters,
    mutations,
    actions
}
